This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 193839 - wrong gcc version
wrong gcc version
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-01 21:47 EDT by Luis Fernando da Silva
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-06 16:22:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luis Fernando da Silva 2006-06-01 21:47:49 EDT
Description of problem:
I am compiling the LFS (fast streams) however I am getting the following 
message :

configure: WARNING:
***
*** The kernel compiler was:
***   "gcc version 3.4.6 20060404 (Red Hat 3.4.6-2)",
*** and the current compiler is:
***   "gcc version 3.4.5 20051201 (Red Hat 3.4.5-2)".
***
*** These compilers do not match.
*** This will cause problems later.
***

  I tried to get the newest gcc, however it says I am already up2date, but my 
gcc version 3.4.5 20051201 (Red Hat 3.4.5-2). 
  I have recently update my kernel to this new version and it is the latest 
for my platform, so my question is how the kernel can be compiled with a newer 
version and I am not able to get the same version using the up2date ? 
  How can I get the correct version of gcc which match this new kernel ?
  Thanks very much,

  Fernando


Version-Release number of selected component (if applicable):
Linux linux2 2.6.9-34.0.1.ELsmp #1 SMP Wed May 17 16:59:36 EDT 2006 x86_64 
x86_64 x86_64 GNU/Linux


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Baron 2006-06-06 16:22:07 EDT
Even though the compiler version is not supplied, this should not cause any
problems with third party kernel modules. If there is a really problem please
re-open.

Note You need to log in before you can comment on or make changes to this bug.